Subject: bug#52104: 29.0.50; sometimes ispell-message does not check the Subject field

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Nov 2021 17:09:50 +0100

Peter Münster <[email-masked]> writes:

> ispell-message does not check Subject fields, when it finds a sequence
> with "re ". And in French, there are a lot of words ending with "re"...
>
> Please find attached a patch, that fixes the problem.
>
> The "Re: " is hardcoded here, just as in message-reply.

...

-		  (if (and (not (looking-at ".*Re\\>"))
+		  (if (and (not (looking-at "Re: "))

I think this is too strict -- there may not be a : after the Re, and
there is often some locale-specific mistranslation of Re somewhere.  So
I think the right fix here is ".*\\<Re\\>", which I've done in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no